OGRE: Ogre::RTShader::ProgramSet Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | Friends | List of all members
Ogre::RTShader::ProgramSet Class Reference
Core » RTShader

Container class for shader based programs. More...

`#include <OgreShaderProgramSet.h>`

Inheritance diagram for Ogre::RTShader::ProgramSet:
[legend]

## Public Member Functions
| ProgramSet ()
| Class default constructor. More...
| ~ProgramSet ()
| Class destructor. More...
Program * | getCpuFragmentProgram ()
| Get the fragment shader CPU program. More...
Program * | getCpuVertexProgram ()
| Get the vertex shader CPU program. More...
GpuProgramPtr | getGpuFragmentProgram ()
| Get the fragment shader GPU program. More...
GpuProgramPtr | getGpuVertexProgram ()
| Get the vertex shader GPU program. More...
void | operator delete (void *ptr)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete (void *ptr, void *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
void * | operator new (size_t sz)
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info More...
void * | operator new (size_t sz, void *ptr)
| placement operator new More...
void * | operator new[] (size_t sz)
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info More...

## Friends
class | ProgramManager
class | TargetRenderState

## Detailed Description

Container class for shader based programs.

Holds both a CPU representation and GPU representation of vertex and fragment program.

## Constructor & Destructor Documentation

## ◆ ProgramSet()

Ogre::RTShader::ProgramSet::ProgramSet | ( |  | ) |

Class default constructor.

## ◆ ~ProgramSet()

Ogre::RTShader::ProgramSet::~ProgramSet | ( |  | ) |

Class destructor.

## Member Function Documentation

## ◆ getCpuFragmentProgram()

Program* Ogre::RTShader::ProgramSet::getCpuFragmentProgram | ( |  | ) |

Get the fragment shader CPU program.

## ◆ getCpuVertexProgram()

Program* Ogre::RTShader::ProgramSet::getCpuVertexProgram | ( |  | ) |

Get the vertex shader CPU program.

## ◆ getGpuFragmentProgram()

GpuProgramPtr Ogre::RTShader::ProgramSet::getGpuFragmentProgram | ( |  | ) |

Get the fragment shader GPU program.

## ◆ getGpuVertexProgram()

GpuProgramPtr Ogre::RTShader::ProgramSet::getGpuVertexProgram | ( |  | ) |

Get the vertex shader GPU program.

## ◆ operator delete() [1/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete() [2/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator delete() [3/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |
| ) |  |
| inlineinherited

## ◆ operator delete[]() [1/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete[]() [2/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator new() [1/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new() [2/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

operator new, with debug line info

## ◆ operator new() [3/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr
| ) |  |
| inlineinherited

placement operator new

## ◆ operator new[]() [1/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new[]() [2/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

array operator new, with debug line info

## Friends And Related Function Documentation

## ◆ ProgramManager

friend class ProgramManager
| friend

## ◆ TargetRenderState

friend class TargetRenderState
| friend

The documentation for this class was generated from the following file:

- OgreShaderProgramSet.h